{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Venta'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/user_list.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}

    <script>
        $(window).load(function () {
            $('#nuevo-usuario').click(function (e) {
                e.preventDefault();
                $.ajax({
                    type: "POST",
                    url: "../usuario/crearUsuario",
                    success: function (data) {
                        console.log(data);

                        //notify('Informacion registrada correctamente!', 'success');

                        setTimeout(function () {
                            window.location.href = "../usuario/editar/"+data;
                        }, 0);
                    },
                    error: function (data) {
                        console.log(data);

                        notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                    }
                });
            });
			
			//Selection
			var gridUser = $("#data-table-selection-users").bootgrid({
				css: {
					icon: 'zmdi icon',
					iconColumns: 'zmdi-view-module',
					iconDown: 'zmdi-expand-more',
					iconRefresh: 'zmdi-refresh',
					iconUp: 'zmdi-expand-less'
				},
				templates: {
					header: "",    
				} ,
				selection: true,
				multiSelect: true,
				rowSelect: true,
				keepSelection: true,
				formatters: {
					"commands": function(column, row) {
						return "<button type=\"button\" class=\"btn btn-icon command-edit waves-effect waves-circle lu-e\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-edit\"></span></button> " + 
							"<button type=\"button\" class=\"btn btn-icon command-delete waves-effect waves-circle lu-d\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-delete\"></span></button>";
					}
				}
			}).on("loaded.rs.jquery.bootgrid", function () {
				gridUser.find(".lu-e").on("click", function (e) {
					var id = $(this).data("row-id");
					
					window.location.href = "../usuario/editar/"+id;
				});
				
				gridUser.find(".lu-d").on("click", function (e) {
					var id = $(this).data("row-id");
					
					swal({
						title: "Está seguro de inactivar el usuario?",
						text: "El usuario no podrá ingresar al sistema, ni ser incluido en nuevas operaciones!",
						type: "warning",
						showCancelButton: true,
						confirmButtonColor: "#DD6B55",
						confirmButtonText: "Si, inactivar!",
						cancelButtonText: "No, cancelar",
						closeOnConfirm: false
					}, function(isConfirm){
						if (isConfirm) {
									
							$.ajax({
								type: "DELETE",
								url: "eliminarUsuario/",
								data: {user_id: id},
								dataType: "JSON",
								success: function(data) {
									console.log(data);
									
									$("#box-cc-"+id).fadeOut();
									swal("Inactivado!", "Usuario inactivo!", "success");
									
									setTimeout(function(){ window.location.reload(); }, 1000);
																			
								},
								error: function(data) {
									console.log(data);
									 
									notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');	
								}					
							});
						}
					});
				});
			});
        });
    </script>

{% endblock %}